Skip to main content
GET
Get a dashboard by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dashboard_id
string
required

Query Parameters

role
string | null

Response

Successful Response

Full dashboard returned by the API.

id
string
required
title
string
required
description
string | null
required
slug
string | null
required
columns
integer
required
status
enum<string>
required
Available options:
draft,
published,
archived
visibility
enum<string>
required
Available options:
private,
organization,
public
version
integer
required
components
ComponentResponse · object[]
required
permissions
string[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string | null
required
agent_id
integer | null